Subject: bug#42406: Mouse-wheel scrolling can be flickering

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Dec 2020 09:41:06 -0500

>> That would be nice, yes.  But that's largely independent from the bug
>> under discussion, where the performance seems to be adequate with the
>> current coarse grained flags as long as we have a single frame, so the
>> problem seems to be that we consider all frames instead of only
>> considering those displaying the affected windows.
>
> No, the problem is that we turn on update_mode_lines because we need
> to make sure the title of the _selected_ frame, a single frame, is
> updated due to possible effects of scrolling on that single title.
> And the effect is to consider the titles (and menu bars and tool bars)
> on all frames instead, which is definitely unnecessary.

I fail to see the difference between what you're saying and what I'm saying.

        Stefan